Bug 513573 - ulimit increase needed for startup
ulimit increase needed for startup
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
11
i686 Linux
low Severity high
: ---
: ---
Assigned To: Andrew Overholt
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-24 06:22 EDT by Colinp
Modified: 2010-06-28 09:48 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 09:48:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Colinp 2009-07-24 06:22:28 EDT
Description of problem:
Eclipse does not start from fresh install of Fedora 11.  Please see detail and my fix at the forum: http://forums.fedoraforum.org/showthread.php?t=226971

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Andrew Overholt 2009-10-27 12:05:31 EDT
Does the OSGi bundle limit need to be increased with only Fedora-provided RPMs of plugins installed?
Comment 2 Colinp 2009-10-27 12:22:25 EDT
(In reply to comment #1)
> Does the OSGi bundle limit need to be increased with only Fedora-provided RPMs
> of plugins installed?  

I didn't change the osgi limit at all
Comment 3 Andrew Overholt 2009-10-27 12:41:28 EDT
Okay, then I'm confused if this is a real bug or not :)  Please provide a more accurate summary and steps for reproducing and we can investigate.
Comment 4 Colinp 2009-10-27 13:17:39 EDT
Have you read my forum post?  I presume you got the osgi limit idea from the comment someone put on that.  My hypothesis that the Fedora default limits.conf setting was too small for Eclipse appeared verified by the fact that Eclipse started when that limit was increased.  I did a pretty standard install so was surprised when I got this issue so if you need more information about my setup please ask for more specific information.  Is it possible you have a dependency on Eclipse that requires an increased limits.conf that for some reason is not included during the install?
Comment 5 Andrew Overholt 2009-10-27 13:24:43 EDT
I have never had to modify limits.conf to run Eclipse.  Hence me asking if you had installed more plugins than those we ship in Fedora.
Comment 6 Colinp 2009-10-27 13:31:25 EDT
Sorry, that wasn't clear from your question, but now you've restated it I see that's what you were getting at.  I did a clean install of Fedora so didn't inlude any non-Fedora-provided plugins.  Eclipse was pretty much the first app I fired up so, as I say, I was surprised when it refused to start, especially considering the apparent issue with file handles in limits.conf made resolution more difficult as there was no log file present (presumably because that was one file handle too many!).
Comment 7 Andrew Overholt 2009-10-27 14:11:56 EDT
I just have a stock /etc/security/limits.conf and have never had issues with startup.  Is there some other non-standard configuration setting that you may have?
Comment 8 Colinp 2009-10-27 19:15:43 EDT
(In reply to comment #7)
> I just have a stock /etc/security/limits.conf and have never had issues with
> startup.  Is there some other non-standard configuration setting that you may
> have?  

No.  As I say, this was a clean Fedora install - nothing clever or non-standard. Eclipse was pretty much the first thing I started so I don't think any other app would have contributed to this and I didn't do any fiddling prior to trying to start it.
Comment 9 Bug Zapper 2010-04-28 05:18:03 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2010-06-28 09:48:21 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.